.registration {
    display: flex;
    flex-direction: column;
    gap: 1em;
    position: relative;
    /* background-color: #27272a; */
    border-radius: 12px;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 6px;
    padding: 30px;
    width: 100%;
    max-width: 500px;

    background: rgba(255, 255, 255, 0.05);
    backdrop-filter: blur(15px);
    border: 1px solid rgba(255, 255, 255, 0.1);
    border-radius: 20px;
}

input {
    width: inherit;
    height: 40px;
    padding: 10px;
}

.registration h1 {
    font-size: 30px;
    margin-bottom: 20px;
}

.man-radio-button, .woman-radio-button {
    display: flex;
    align-items: center;
}
.man-radio-button input, .woman-radio-button input {
    margin-right: 20px;
}

.registration__sign-in {
    width: inherit;
    height: 40px;
}

.auth-button {
    margin-top: 15px;
    text-align: center;
    cursor: pointer;
    color: #fff;
}

.terms-container {
    background-color: #fff;
    padding: 20px 30px;
    border-radius: 12px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
    max-width: 500px;
    margin: 0 auto;
  }

  .terms-container label {
    display: flex;
    align-items: center;
    font-size: 16px;
    gap: 10px;
  }

  .terms-container a,.registration a {
    color: #007bff;
    text-decoration: none;
  }

  .terms-container a:hover {
    text-decoration: underline;
  }

  .terms-container button {
    margin-top: 20px;
    padding: 10px 20px;
    font-size: 16px;
    background-color: #007bff;
    color: white;
    border: none;
    border-radius: 8px;
    cursor: pointer;
    transition: background-color 0.3s;
  }

  .terms-container button:hover {
    background-color: #0056b3;
  }

@media (max-width: 1020px) {
    .registration {
        padding-top: 50%;
        max-width: 100%;
        width: 100% !important;
        height: 100%;
    }
}